Name:		libcacard
Version:	2.7.0
Release:	1%{?dist}
Epoch:      40
Summary:	Common Access Card (CAC) Emulation

Group:		Development/Libraries
License:	GPLv2+ and LGPLv2+ and BSD
URL:		http://www.spice-space.org/page/Libcacard
Source0:	http://www.spice-space.org/download/%{name}/%{name}-%{version}.tar.xz
Patch10:	libcacard-2.7.0-install-vscclient.patch
# https://gitlab.freedesktop.org/spice/libcacard/merge_requests/5
Patch11:	libcacard-2.7.0-caching-keys.patch
# https://gitlab.freedesktop.org/spice/libcacard/merge_requests/6
Patch12:	libcacard-2.7.0-s390.patch



BuildRequires: glib2-devel
BuildRequires: nss-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: nss-tools
BuildRequires: softhsm
BuildRequires: opensc
BuildRequires: gnutls-utils
BuildRequires: autoconf-archive

Obsoletes: libcacard-rhev

%description
Common Access Card (CAC) emulation library.


%package    tools
Summary:        CAC Emulation tools
Group:          Development/Libraries
Requires:       libcacard = %{epoch}:%{version}-%{release}
Obsoletes: libcacard-tools-rhev

%description tools
CAC emulation tools.


%package devel
Summary:        CAC Emulation devel
Group:          Development/Libraries
Requires:       libcacard = %{epoch}:%{version}-%{release}
Obsoletes: libcacard-devel-rhev

%description devel
CAC emulation development files.

%prep
%setup -q
%patch10 -p1 -R -b .vscclient
%patch11 -p1 -b .caching
%patch12 -p1 -b .s390


%build
autoreconf
%configure
make %{?_smp_mflags} 


%install
%make_install

find $RPM_BUILD_ROOT -name "libcacard.so*" -exec chmod +x \{\} \;
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

%check
# Do not run the tests on s390x, which fails
%ifnarch s390x
sed -i "s!/usr/lib64/!%{_libdir}/!" tests/setup-softhsm2.sh
make check V=1
%endif

%files
%defattr(-,root,root,-)
%{_libdir}/libcacard.so.*

%files tools
%defattr(-,root,root,-)
%{_bindir}/vscclient

%files devel
%defattr(-,root,root,-)
%{_includedir}/cacard
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc


%changelog
* Wed Sep 11 2019 Jakub Jelen <jjelen@redhat.com> - 2.7.0-1
- New upstream releas supporting CACv2 with improver compatibility with Windows guests (#917867)

* Fri Mar 18 2016 Miroslav Rezanina <mrezanin@redhat.com> - 2.5.2-2.el7
- Obsolete libcacard-rhev (bz#1315953)

* Fri Jan 29 2016 Miroslav Rezanina <mrezanin@redhat.com> - 2.5.2-1.el7
- Initial build
